Skip to content
Permalink
master
Switch branches/tags
Go to file
 
 
Cannot retrieve contributors at this time
{
"name": "react-avatar",
"version": "5.0.1",
"description": "Universal React avatar component makes it possible to generate avatars based on user information.",
"main": "lib/index.js",
"module": "es/index.js",
"types": "index.d.ts",
"typings": "index.d.ts",
"sideEffects": false,
"scripts": {
"prepack": "npm -s run test && npm -s run build",
"clean": "rm -rf ./{lib,es}/*",
"build": "npm -s run clean && npm -s run build:commonjs && npm -s run build:modules",
"build:commonjs": "BABEL_MODULES=commonjs babel ./src --out-dir ./lib",
"build:modules": "babel ./src --out-dir ./es",
"build:demo": "NODE_ENV=production webpack",
"demo": "npm -s run build:demo",
"dev": "webpack-dev-server",
"serve": "npm -s run dev",
"test": "npm -s run test:lint && npm -s run test:type-check",
"test:lint": "eslint src",
"test:type-check": "tsc -p tsconfig.json",
"postpublish": "npm -s run publish:docs",
"publish:docs": "npm -s run build:demo && gh-pages -d build"
},
"license": "MIT",
"repository": {
"type": "git",
"url": "https://github.com/ambassify/react-avatar.git"
},
"author": "Wim Mostmans <wim@sitebase.be>",
"bugs": {
"url": "https://github.com/ambassify/react-avatar/issues"
},
"keywords": [
"component",
"reactjs",
"react-component",
"avatar"
],
"homepage": "https://ambassify.github.io/react-avatar/",
"peerDependencies": {
"@babel/runtime": ">=7",
"core-js-pure": ">=3",
"react": "^15.0.0 || ^16.0.0 || ^17.0.0 || ^18.0.0",
"prop-types": "^15.0.0 || ^16.0.0"
},
"devDependencies": {
"@babel/cli": "^7.7.7",
"@babel/core": "^7.7.7",
"@babel/plugin-proposal-class-properties": "^7.7.4",
"@babel/plugin-transform-runtime": "^7.16.0",
"@babel/preset-env": "^7.7.7",
"@babel/preset-react": "^7.7.4",
"@babel/runtime": "^7.16.0",
"@types/react": "^16.0.0",
"babel-eslint": "^10.0.3",
"babel-loader": "^8.0.6",
"babel-plugin-polyfill-corejs3": "^0.3.0",
"core-js-pure": "^3.19.1",
"eslint": "^6.8.0",
"eslint-loader": "^3.0.3",
"eslint-plugin-react": "^7.17.0",
"file-loader": "^5.0.2",
"gh-pages": "^2.1.1",
"react": "^17.0.1",
"react-dom": "^17.0.1",
"typescript": "^3.9.3",
"webpack": "^5.72.1",
"webpack-bundle-analyzer": "^3.6.0",
"webpack-cli": "^4.9.2",
"webpack-dev-server": "^4.9.1"
},
"dependencies": {
"is-retina": "^1.0.3",
"md5": "^2.0.0"
}
}